<?php
/**
 * Plugin Name: Payment Webhooks
 * Description: Unified webhook handler for payment gateways (Adyen, PayPal). Requires ACF PRO.
 * Version: 1.0.4
 * Author: FitSmart Team
 * License: GPL-2.0-or-later
 * Requires Plugins: advanced-custom-fields-pro
 */


defined('ABSPATH') || exit;

require_once __DIR__ . '/vendor/autoload.php';

use PaymentWebhooks\Application\Admin\SettingsNotice;
use PaymentWebhooks\Application\Admin\SettingsPage;
use PaymentWebhooks\Application\Plugin;

Plugin::init();

$settingsPage = new SettingsPage( plugin_basename( __FILE__ ) );
$settingsPage->hooks();
(new SettingsNotice())->hooks();


